﻿Type=Activity
Version=2.52
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
Dim TYPE_HomePage As Int : TYPE_HomePage = 1
Dim TYPE_DataInput As Int : TYPE_DataInput = 2
Dim TYPE_Chart As Int : TYPE_Chart = 3
'
	Dim FILL_PARENT As Int : FILL_PARENT = -1
	Dim WRAP_CONTENT As Int : WRAP_CONTENT = -2

	'We put this information to the panel tag of the panel for the pages
'	Type PanelInfo (PanelType As Int, LayoutLoaded As Boolean) 

	Dim CurrentTheme As Int : CurrentTheme = 0
	Dim CurrentPage As Int : CurrentPage = 0
	Dim myPhone As Phone
	Dim MP As MediaPlayer
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
'The container and the ViewPager objects
	Dim container As AHPageContainer
	Dim pager As AHViewPager
	'Optionally you can use an AHViewPagerTabs object as a page indicator
	Dim tabs As AHViewPagerTabs
	
	'This panel is just for a colored line between the tabs and the pages.
	Dim line As Panel
Dim allpanels(50) As Panel
	'Button for direct page access
	Dim Button1 As Button
	Dim pan As Panel
	Dim spTheme As Spinner
	Dim lblModel1_Text As Label
	Dim scv_Model1 As ScrollView
	Dim txt As String
	Dim strUtil As StringUtils
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	'Activity.LoadLayout("Layout1")
'Add a Button at the bottom of the page for jumping directly to a page.
	Button1.Initialize("Button1")
	Button1.Gravity = Gravity.CENTER
	Activity.AddView(Button1, 88dip, Activity.Height - 44dip, Activity.Width - 88dip - 88dip, 40dip)	
	
	'Initialize the panels we use for the pages and put them in the container
	container.Initialize
	
		For i = 0 To 3
		Dim pan As Panel
		
		Select i
			Case 0
				pan = CreatePanel(TYPE_HomePage, "Information")
				container.AddPage(pan,"Page " & i)
				allpanels(i)=pan
				'myPhone.SetScreenOrientation(1)
			Case 1
				pan = CreatePanel(TYPE_HomePage, "Data Input")
				container.AddPage(pan,"DataInput")
				allpanels(i)=pan
			Case 2
			'TYPE_Chart = 3
			pan = CreatePanel(TYPE_Chart, "Chart " )
				container.AddPage(pan,"Chart" )
				allpanels(i)=pan
				'myPhone.SetScreenOrientation(0)
			Case Else
				pan = CreatePanel(TYPE_Chart, "Chart2 " )
				container.AddPage(pan,"Chart2" )
				
		End Select
	Next
	
	'Now we have a container with our panels just add it to the pager object
	pager.Initialize(container, "Pager")
	
	'As we want to show the tabs page indicator, we initialize it
	tabs.Initialize(pager)
	tabs.LineHeight = 5dip
	tabs.UpperCaseTitle = True
	Activity.AddView(tabs, 0, 0, FILL_PARENT, WRAP_CONTENT)
	
	'We add a line below the tab page indicator because it looks good
	Dim col As ColorDrawable
	col.Initialize(tabs.LineColorCenter, 0)
	line.Initialize("")
	line.Background=col
	Activity.AddView(line, 0, 35dip, Activity.Width, 2dip)
	
	'Now we can add the pager to the activity
	Activity.AddView(pager, 0, 35dip + 2dip, Activity.Width, Activity.Height-48dip-35dip-2dip)
	SetButtonText
	SetTheme(CurrentTheme)
	
	'Add some menus for adding and removing pages
	Activity.AddMenuItem("Add new Page", "NewPage")
	Activity.AddMenuItem("Delete current Page", "DeletePage")
	SetupInfopage
	MP.Initialize 
	MP.Load(File.DirAssets, "ding.wav")
End Sub

Sub Activity_Resume
	'Do not call this in Activity_Create since the initialization is not complete then!
'If CurrentPage=0 Then myPhone.SetScreenOrientation(-1) Else myPhone.SetScreenOrientation(0) 
Log(CurrentPage)
	pager.GotoPage(CurrentPage, False)
		'pager.GotoPage(allpanels(1), False)
End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

'This creates a page of the given type
Sub CreatePanel(PanelType As Int, Title As String) As Panel
	Dim pan As Panel
	Dim pi As PanelInfo
	
	pi.Initialize
	pi.LayoutLoaded = False
	pi.PanelType = PanelType

	pan.Initialize("")
	Select PanelType
		Case TYPE_HomePage
			Dim lab As Label

			pan.Color = Colors.RGB(Rnd(0, 150), Rnd(0,150), Rnd(0,150))
			lab.Initialize("")
			lab.Text = Title
			lab.TextSize = 16
			lab.Gravity = Gravity.CENTER
			pan.AddView(lab, 0, 0, FILL_PARENT, FILL_PARENT)
		
	End Select 
	
	pan.Tag = pi
	Return pan
End Sub

Sub NewPage_Click
	Dim names As List
	Dim ret As Int
	
	names.Initialize
	names.Add("Hello world")
	names.Add("DataInput")
	names.Add("Chart")
	
	ret = InputList(names, "Choose page type", -1)
	
	If ret = DialogResponse.CANCEL Then
		ToastMessageShow("Aborted", False)
	Else
		'Add a new page to the container just behind the current page
		container.AddPageAt(CreatePanel(ret + 1, names.Get(ret)), names.Get(ret), pager.CurrentPage + 1)
		'Inform the AHViewPagerTabs object that the data has changed.
		tabs.NotifyDataChange
		'Slide to the new page
		pager.GotoPage(pager.CurrentPage + 1, True)
	End If
End Sub

Sub DeletePage_Click
	'Delete the current page
	container.DeletePage(pager.CurrentPage)
	'Inform the AHViewPagerTabs object that the data has changed.
	tabs.NotifyDataChange
End Sub

'This event gets called when the page has changed. Be aware that it is possible that scrolling is not
'finished at this moment
Sub Pager_PageChanged (Position As Int)
	Log ("Page Changed to " & Position)
	CurrentPage = Position
	MP.Play
	SetButtonText
End Sub

'This event gets called when the ViewPager instantiates the page. In this sub you can update the content
'of the page or even load a layout.
'Have a look in the logs to see when Pager_PageCreated and Pager_PageDestroyed are called.
Sub Pager_PageCreated (Position As Int, Page As Object)
	Log ("Page created " & Position)
	
	Dim pan As Panel
	Dim pi As PanelInfo
	
	pan = Page
	pi = pan.Tag
	
	Select pi.PanelType
		Case TYPE_DataInput
			If Not(pi.LayoutLoaded) Then
				pan.LoadLayout("Data_Layout")
				pi.LayoutLoaded = True
				spTheme.Add("Dark")
				spTheme.Add("Light")
				spTheme.SelectedIndex = CurrentTheme
				'myPhone.SetScreenOrientation(0)
			End If
		Case Else
		'myPhone.SetScreenOrientation(1)
	End Select		
End Sub

'This event gets called when the ViewPager destroys the page. Here you can free large bitmaps etc to save memory.
Sub Pager_PageDestroyed (Position As Int, Page As Object)
	Log("Page destroyed " & Position)
End Sub

Sub SetButtonText
	Button1.Text = "Page " & pager.CurrentPage
End Sub

'When the button is pressed let the user select a new page
Sub Button1_Click
	Dim pl As List
	Dim ret As Int
	pl.Initialize
	
	'Add all page titles to a list
	For i = 0 To container.Count - 1
		pl.Add(container.GetTitle(i))	
	Next
	
	'Request new page from user
	ret = InputList(pl, "Choose page", pager.CurrentPage)
	
	If ret = DialogResponse.CANCEL Then
		ToastMessageShow("Aborted", False)
	Else
		'Scroll to the new page
		pager.GotoPage(ret, True)
	End If
End Sub

Sub SetTheme(Theme As Int)
	Select Theme
		Case 0
			tabs.Color = Colors.Black
			tabs.BackgroundColorPressed = Colors.Blue
			tabs.LineColorCenter = Colors.Green
			tabs.TextColor = Colors.LightGray
			tabs.TextColorCenter = Colors.Green
			line.Color = Colors.Green
		Case 1
			tabs.Color = Colors.White
			tabs.BackgroundColorPressed = Colors.Blue
			tabs.LineColorCenter = Colors.DarkGray
			tabs.TextColor = Colors.LightGray
			tabs.TextColorCenter = Colors.DarkGray
			line.Color = Colors.DarkGray
	End Select
End Sub

Sub spTheme_ItemClick (Position As Int, Value As Object)
	CurrentTheme = Position
	SetTheme(CurrentTheme)
End Sub

Sub SetupInfopage()
pager.GotoPage(0,False)
allpanels(0).LoadLayout("layout_model1")
'scv_Model1.Panel.AddView(lblModel1_Text,0,0,100%x,100%y)

LoadScrollText
End Sub
Sub LoadScrollText
Dim ht As Float
lblModel1_Text.Initialize("")
scv_Model1.Panel.AddView(lblModel1_Text,0,0,100%x,100%y)
lblModel1_Text.Color=Colors.RGB(0,0,0)
lblModel1_Text.TextColor=Colors.White
txt = File.GetText(File.DirAssets, "TestText.txt")   
lblModel1_Text.text = txt                    ' set the text string to the Label text property
ht =     strUtil.MeasureMultilineTextHeight(lblModel1_Text, txt)    ' measure Label height
scv_Model1.Panel.Height = ht        ' set the ScrollView internal Panel height to the measured height
lblModel1_Text.Height = ht                    ' set the Label height to the measured height
scv_Model1.ScrollPosition = 0    ' set the scroll position to the top of the text
DoEvents                                        ' needed to execute the previous line
End Sub
Sub btnMenu_Model1_Click
StartActivity("Main")	
End Sub
Sub btnEnterData_Model1_Click
	
End Sub
Sub btnAnimate_Model1_Click
Animate_Examples		
End Sub
Sub Animate_Examples()

End Sub
